package com.takensoft.cms.author.service;

import com.takensoft.cms.author.dto.AuthorDTO;
import com.takensoft.cms.author.vo.AuthorVO;

import java.util.List;
import java.util.Map;

/**
 * @author  : takensoft
 * @since   : 2024.04.01
 *
 * 권한 정보 관련 인터페이스
 */
public interface AuthorService {

    /**
     * @author takensoft
     * @since 2024.04.05
     * 권한 중복 검사
     */
    public boolean findByCheckAuthorCode(AuthorVO authorVO) throws Exception;

    /**
     * @author takensoft
     * @since 2024.04.05
     * 권한 목록 조회
     */
    public Map<String, Object> findAllAuthor(Map<String, String> params) throws Exception;

    /**
     * @author takensoft
     * @since 2024.04.05
     * 권한 상세 조회
     */
    AuthorVO findByAuthorCode(String authrtCd) throws Exception;

    /**
     * @author takensoft
     * @since 2024.04.05
     * 권한 등록
     */
    public int authorSave(AuthorVO authorVO) throws Exception;

    /**
     * @author takensoft
     * @since 2024.04.05
     * 권한 수정
     */
    public int authorUpdate(AuthorVO authorVO) throws Exception;

    /**
     * @author takensoft
     * @since 2024.04.05
     * 전체 권한 목록 조회(신규 메뉴 등록 시 권한을 주기 위해 사용)
     */
    public List<AuthorVO> findAllSystem() throws Exception;
}
