package com.takensoft.cms.bbs.vo;

import lombok.*;
import org.springframework.web.multipart.MultipartFile;

/**
 * @author  : 하석형
 * @since   : 2024.05.09
 *
 * 게시판 관리 관련 VO
 */
@Setter
@Getter
@AllArgsConstructor
public class BbsCnVO {
    /**
     * 게시판 아이디
     */
    private String bbsId;
    /**
     * 게시판 관리 아이디
     */
    private String bbsMngId;
    /**
     * 게시판 제목
     */
    private String bbsNm;
    /**
     * 게시판 내용
     */
    private String bbsCn;
    /**
     * 조회수
     */
    private int inqCnt;
    /**
     * 첨부파일 관리 아이디
     */
    private String atchFileMngId;
    /**
     * 이미지파일 관리 아이디 [ 갤러리형 / 영상형 전용 ]
     */
    private String imgFileMngId;
    /**
     * 썸네일 이미지 경로
     */
    private String absltPath;
    /**
     * 공지글 여부
     * Y : 사용, N : 미사용
     */
    private String ntcPstYn;
    /**
     * 공지글 시작일
     */
    private String ntcBgngDt;
    /**
     * 공지글 종료일
     */
    private String ntcEndDt;
    /**
     * 비밀글 여부
     * Y : 사용, N : 미사용
     */
    private String prvtPstYn;
    /**
     * 답변 게시판 아이디
     */
    private String ansBbsId;
    /**
     * 답변 내용
     */
    private String ansCn;
    /**
     * 답변 깊이(레벨)
     */
    private int ansGrd;
    /**
     * 답변 순서
     */
    private int ansSn;
    /**
     * 답변 상태
     * Y : 사용, N : 미사용
     */
    private String ansStts;
    /**
     * 영상 주소
     */
    private String vdoUrl;
    /**
     * 사용여부
     * Y : 사용, N : 미사용
     */
    private String useYn;
    /**
     * 등록자
     */
    private String rgtr;
    /**
     * 등록일
     */
    private String regDt;
    /**
     * 등록자 명
     */
    private String rgtrNm; // 화면 표출 용도
    /**
     * 수정자
     */
    private String mdfr;
    /**
     * 수정일
     */
    private String mdfcnDt;
    /**
     * 수정자 명
     */
    private String mdfrNm; // 화면 표출 용도
    /**
     * 현재 공지 여부
     */
    private String nowNtcYn;
    /**
     * 답변자
     */
    private String answer;
    /**
     * 답변자명
     */
    private String answerNm;
    /**
     * 답변일자
     */
    private String ansDt;
    
    public BbsCnVO() {
        this.bbsCn = "";
        this.ntcPstYn = "N";
        this.prvtPstYn = "N";
        this.ntcBgngDt = null;
        this.ntcEndDt = null;
    }
}