package com.takensoft.cms.bbs.vo;

import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

/**
 * @author  : 방선주
 * @since   : 2024.05.27
 *
 * 게시판 댓글 관련 VO
 */
@Setter
@Getter
public class CmntVO {
    /**
     * 게시판 댓글 아이디
     */
    private int cmntId;
    /**
     * 게시판 아이디
     */
    private String bbsId;
    /**
     * 상위 댓글 아이디
     */
    private int upCmntId;
    /**
     * 댓글 내용
     */
    private String cmntCn;
    /**
     * 댓글 깊이 (레벨)
     */
    private int cmntGrd;
    /**
     * 댓글 순서
     */
    private int cmntSn;
    /**
     * 사용여부
     */
    private String useYn;
    /**
     * 작성자
     */
    private String rgtr;
    /**
     * 작성일자
     */
    private String regDt;
    /**
     * 등록자 명
     */
    private String rgtrNm;
    /**
     * 수정자
     */
    private String mdfr;
    /**
     * 수정일자
     */
    private String mdfcnDt;
    /**
     * 수정자 명
     */
    private String mdfrNm; // 화면 표출 용도

    private List<CmntVO> children; // 자식 댓글 목록

    public CmntVO() {
        this.upCmntId = 0;
        this.cmntGrd = 0;
        this.cmntSn = 0;
        this.children = new ArrayList<>();
    }
}
