package com.takensoft.cms.contsType.dao;

import com.takensoft.cms.contsType.vo.ContsAuthrtVO;
import com.takensoft.cms.contsType.vo.ContsTypeVO;
import com.takensoft.common.Pagination;
import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import java.util.List;
import java.util.Map;

/**
 * @author  : takensoft
 * @since   : 2024.04.17
 *
 * 콘텐츠 유형 관리 관련 Mapper
 */
@Mapper("contsTypeDAO")
public interface ContsTypeDAO {

    /**
     * @author takensoft
     * @since 2024.04.17
     * 콘텐츠 유형 등록
     */
    int save(ContsTypeVO contsTypeVO);

    /**
     * @author takensoft
     * @since 2024.04.17
     * 콘텐츠 유형 수정
     */
    int update(ContsTypeVO contsTypeVO);

    /**
     * @author takensoft
     * @since 2024.04.17
     * 콘텐츠 유형 목록 조회
     */
    List<ContsTypeVO> findAll(Pagination pagination);

    /**
     * @author takensoft
     * @since 2024.04.17
     * 콘텐츠 유형 목록 조회(노출인 목록만)
     */
    List<ContsTypeVO> findByContsTypeSys(ContsTypeVO contsTypeVO);

    /**
     * @author takensoft
     * @since 2024.04.17
     * 콘텐츠 유형 상세 조회
     */
    ContsTypeVO findByContsType(String contsId);

    /**
     * @author 박정하
     * @since 2024.04.23
     * 콘텐츠 유형 목록 갯수(관리자 페이지용)
     */
    int findAllCnt(Pagination pagination);

    /**
     * @author 박정하
     * @since 2024.04.29
     * 콘텐츠 유형 목록 조회 (메뉴 노출 건만)
     */
    List<ContsTypeVO> findAllByExpsr(ContsTypeVO contsTypeVO);

    /**
     * @author takensoft
     * @since 2024.05.02
     * 콘텐츠 조회(권한 포함)
     */
    List<ContsAuthrtVO> findByContsAuthrt();
}
