package com.takensoft.cms.contsType.service;

import com.takensoft.cms.contsType.vo.ContsAuthrtVO;
import com.takensoft.cms.contsType.vo.ContsTypeVO;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author  : takensoft
 * @since   : 2024.04.17
 *
 * 콘텐츠 유형 관리 관련 인터페이스
 */
public interface ContsTypeService {

    /**
     * @author takensoft
     * @since 2024.04.17
     * 콘텐츠 유형 등록
     */
    public HashMap<String, Object> contsSave(ContsTypeVO contsTypeVO) throws Exception;

    /**
     * @author takensoft
     * @since 2024.04.17
     * 콘텐츠 유형 수정
     */
    public int contsUpdate(ContsTypeVO contsTypeVO) throws Exception;

    /**
     * @author takensoft
     * @since 2024.04.17
     * 콘텐츠 유형 목록 조회
     */
    public Map<String, Object> findAll(Map<String, String> params) throws Exception;

    /**
     * @author takensoft
     * @since 2024.04.17
     * 콘텐츠 유형 목록 조회(노출인 목록만)
     */
    public List<ContsTypeVO> findByContsTypeSys(ContsTypeVO contsTypeVO) throws Exception;

    /**
     * @author takensoft
     * @since 2024.04.17
     * 콘텐츠 유형 상세 조회
     */
    public ContsTypeVO findByContsType(String contsId) throws Exception;

    /**
     * @author 박정하
     * @since 2024.04.29
     * 콘텐츠 유형 목록 조회 (메뉴 노출 건만)
     */
    public List<ContsTypeVO> findAllByExpsr(ContsTypeVO contsTypeVO) throws Exception;

    /**
     * @author takensoft
     * @since 2024.05.02
     * 콘텐츠 조회(권한 포함)
     */
    public List<ContsAuthrtVO> findByContsAuthrt() throws Exception;
}
