package com.takensoft.cms.contsType.vo;

import com.takensoft.cms.menu.vo.MenuAuthorVO;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import org.checkerframework.checker.units.qual.A;

import java.util.ArrayList;
import java.util.List;

/**
 * @author  : takensoft
 * @since   : 2024.04.17
 *
 * 콘텐츠 유형과 권한 정보 관련 VO
 */
@Setter
@Getter
@NoArgsConstructor
@AllArgsConstructor
public class ContsAuthrtVO {
    /**
     * 콘텐츠 아이디
     */
    private String contsId;
    /**
     * 메뉴 아이디
     */
    private String menuId;
    /**
     * 콘텐츠 한글명
     */
    private String contsKornNm;
    /**
     * 콘텐츠 영문명
     */
    private String contsEngNm;
    /**
     * 페이지 경로
     */
    private String pageCrs;
    /**
     * 컴포넌트 경로
     */
    private String compnCrs;
    /**
     * 권한 목록
     */
    private List<MenuAuthorVO> authrtList = new ArrayList<MenuAuthorVO>();
}
