package com.takensoft.cms.contsType.web;

import com.takensoft.cms.contsType.service.ContsTypeService;
import com.takensoft.cms.contsType.vo.ContsAuthrtVO;
import com.takensoft.cms.contsType.vo.ContsTypeVO;
import com.takensoft.common.util.ResponseData;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.http.HttpHeaders;
import org.springframework.http.HttpStatus;
import org.springframework.http.MediaType;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

import java.nio.charset.Charset;
import java.util.List;

/**
 * @author  : takensoft
 * @since   : 2024.04.17
 *
 * 콘텐츠 유형 관리 관련 컨트롤러
 */
@RestController
@RequiredArgsConstructor
@Slf4j
@RequestMapping(value = "/sys/contsType")
public class SystemContsTypeController {

    private final ContsTypeService contsTypeService;

    /**
     * @author takensoft
     * @since 2024.04.29
     * @param
     * @return
     * @throws Exception
     */
    @PostMapping(value = "/findByContsTypeSys.json")
    public ResponseEntity<?> findByContsTypeSys(ContsTypeVO contsTypeVO) throws Exception {
        // 콘텐츠 유형 목록 조회 (메뉴 노출 건만)
        List<ContsTypeVO> result = contsTypeService.findByContsTypeSys(contsTypeVO);

        // 응답 처리
        HttpHeaders headers = new HttpHeaders();
        headers.setContentType(new MediaType("application", "json", Charset.forName("UTF-8")));
        ResponseData responseData = new ResponseData();
        responseData.setStatus(HttpStatus.OK);
        responseData.setMessage("정상적으로 조회가 처리되었습니다.");
        responseData.setData(result);
        return new ResponseEntity<>(responseData, headers, HttpStatus.OK);
    }

    /**
     * @author takensoft
     * @since 2024.04.29
     * @param
     * @return
     * @throws Exception
     */
    @PostMapping(value = "/findByContsAuthrtSys.json")
    public ResponseEntity<?> findByContsTypeSys() throws Exception {
        // 콘텐츠 유형 목록 조회 (메뉴 노출 건만)
        List<ContsAuthrtVO> result = contsTypeService.findByContsAuthrt();

        // 응답 처리
        HttpHeaders headers = new HttpHeaders();
        headers.setContentType(new MediaType("application", "json", Charset.forName("UTF-8")));
        ResponseData responseData = new ResponseData();
        responseData.setStatus(HttpStatus.OK);
        responseData.setMessage("정상적으로 조회가 처리되었습니다.");
        responseData.setData(result);
        return new ResponseEntity<>(responseData, headers, HttpStatus.OK);
    }
}
