package com.takensoft.cms.dept.vo;

import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

/**
 * @author  : takensoft
 * @since   : 2024.04.24
 *
 * 부서 정보 관련 VO
 */
@Setter
@Getter
@NoArgsConstructor
@AllArgsConstructor
public class DeptVO {
    /**
     * 부서 아이디
     */
    private String deptId;
    /**
     * 상위 부서 아이디
     */
    private String upDeptId;
    /**
     * 부서명
     */
    private String deptNm;
    /**
     * 상위부서명
     */
    private String upDeptNm;
    /**
     * 부서설명
     */
    private String deptExpln;
    /**
     * 부서 깊이(레벨)
     */
    private int deptGrd;
    /**
     * 부서 순서
     */
    private int deptSn;
    /**
     * 사용여부
     */
    private String useYn;
    /**
     * 작성자
     */
    private String rgtr;
    /**
     * 작성일
     */
    private String regDt;
    /**
     * 수정자
     */
    private String mdfr;
    /**
     * 수정일
     */
    private String mdfcnDt;
    /**
     * 권한정보
     */
    private List<DeptAuthrtVO> authrtList = new ArrayList<DeptAuthrtVO>();

}
