package com.takensoft.cms.mber.dao;

import com.takensoft.cms.mber.dto.AdmMbrDTO;
import com.takensoft.cms.mber.dto.JoinDTO;
import com.takensoft.cms.mber.vo.MberAuthorVO;
import com.takensoft.cms.mber.vo.MberVO;
import com.takensoft.common.Pagination;
import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import java.util.HashMap;
import java.util.List;

/**
 * @author  : 박정하
 * @since   : 2024.06.21
 *
 * 회원정보 관련 Mapper
 */
@Mapper("admMbrDAO")
public interface AdmMbrDAO {
    /**
     * @author  : 박정하
     * @since   : 2024.06.21
     *
     * 회원정보 목록 갯수
     */
    public int mbrListCnt(Pagination pagination) throws Exception;

    /**
     * @author  : 박정하
     * @since   : 2024.06.21
     *
     * 회원정보 목록 조회
     */
    public List<AdmMbrDTO> mbrList(Pagination pagination) throws Exception;

    /**
     * @author  : 박정하
     * @since   : 2024.06.21
     *
     * 회원정보 상세 조회
     */
    public AdmMbrDTO mbrDetail(String mbrId) throws Exception;

    /**
     * @author  : 박정하
     * @since   : 2024.06.21
     *
     * 회원정보 수정
     */
    public int updateMbr(AdmMbrDTO admMbrDTO) throws Exception;

    /**
     * @author  : 박정하
     * @since   : 2024.06.21
     *
     * 회원정보 권한 목록 삭제 (mbrId 사용)
     */
    public int deleteAuthorListByMbrId(String mbrId) throws Exception;

    /**
     * @author  : 박정하
     * @since   : 2024.06.21
     *
     * 회원 권한 목록 삭제 (mbrId 사용)
     */
    public int insertAuthor(MberAuthorVO mberAuthorVO) throws Exception;

    /**
     * @author  : 박정하
     * @since   : 2024.06.21
     *
     * 회원정보 등록
     */
    public int mbrInsert(JoinDTO joinDTO) throws Exception;

    /**
     * @author  : 박정하
     * @since   : 2024.07.03
     *
     * 아이디 찾기 (로그인 아이디)
     */
    public String lgnIdSearch(MberVO mbrVO) throws Exception;

    /**
     * @author  : 박정하
     * @since   : 2024.07.03
     *
     * 아이디 찾기 (멤버 아이디)
     */
    public String mbrIdSearch(AdmMbrDTO admMbrDTO) throws Exception;
}