package com.takensoft.cms.mber.dao;

import com.takensoft.cms.mber.dto.JoinDTO;
import com.takensoft.cms.mber.dto.PasswordDTO;
import com.takensoft.cms.mber.vo.MberAuthorVO;
import com.takensoft.cms.mber.vo.MberVO;
import com.takensoft.common.Pagination;
import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import java.util.*;

/**
 * @author  : takensoft
 * @since   : 2024.04.01
 *
 * 회원 정보 관련 Mapper
 */
@Mapper("mberDAO")
public interface MberDAO {
    /**
     * @author takensoft
     * @since 2024.04.03
     * 사용자 정보 조회 [security 용]
     */
    MberVO findByMberSecurity(String lgnId);

    /**
     * @author takensoft
     * @since 2024.04.03
     * 아이디 중복 검사
     */
    boolean findByCheckLoginId(String lgnId);

    /**
     * @author takensoft
     * @since 2024.04.03
     * 회원가입
     */
    int save(JoinDTO joinDTO);

    /**
     * @author takensoft
     * @since 2024.04.03
     * 사용자 권한 등록
     */
    int authorSave(MberAuthorVO mberAuthorVO);

    /**
     * @author takensoft
     * @since 2024.04.15
     * 비밀 번호 변경
     */
    int updatePassword(PasswordDTO passwordDTO);

    /**
     * @author takensoft
     * @since 2024.04.15
     * 사용자 정보 조회
     */
    MberVO findByMber(String mbrId);
}