package com.takensoft.cms.mber.dao;

import com.takensoft.cms.mber.vo.RefreshVO;
import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

/**
 * @author  : takensoft
 * @since   : 2024.04.01
 *
 * RefreshToken 관련 Mapper
 */
@Mapper("refreshTokenDAO")
public interface RefreshTokenDAO {

    /**
     * @author takensoft
     * @since 2024.04.04
     * refresh token 등록
     */
    int save(RefreshVO refreshVO);

    /**
     * @author takensoft
     * @since 2024.04.04
     * refresh token 삭제
     */
    int deleteByRefresh(RefreshVO refreshVO);

    /**
     * @author takensoft
     * @since 2024.04.04
     * 기한 만료된 refresh token 삭제 [ Schedule 용 ]
     */
    int cleanExpiredRefreshTokens();

    /**
     * @author takensoft
     * @since 2024.04.17
     * refresh token 등록 유무 확인
     */
    boolean findByCheckRefresh(RefreshVO refreshVO);
}
