package com.takensoft.cms.mber.dto;

import com.takensoft.cms.mber.vo.MberAuthorVO;
import lombok.*;

import java.util.ArrayList;
import java.util.List;

/**
 * @author  : 박정하
 * @since   : 2024.06.21
 *
 * 회원정보 관련 DTO
 */
@Setter
@Getter
@AllArgsConstructor
@NoArgsConstructor
@Builder
@ToString
public class AdmMbrDTO {
    /**
     * 회원 아이디
     */
    private String mbrId;
    /**
     * 로그인 아이디
     */
    private String lgnId;
    /**
     * 회원 이름
     */
    private String mbrNm;
    /**
     * 닉네임
     */
    private String ncnm;
    /**
     * 비밀번호
     */
    private String pswd;
    /**
     * 휴대폰번호
     */
    private String mblTelno;
    /**
     * 전화번호
     */
    private String telno;
    /**
     * 이메일
     */
    private String eml;
    /**
     * 우편번호
     */
    private String zip;
    /**
     * 주소
     */
    private String addr;
    /**
     * 상세주소
     */
    private String daddr;
    /**
     * 회원상태
     * 0: 탈퇴, 1: 승인, 2: 승인대기, 3: 차단
     */
    private String mbrStts;
    /**
     * 사용여부
     */
    private String useYn;
    /**
     * 차단일
     */
    private String cntrlDt;
    /**
     * 차단사유
     */
    private String cntrlRsn;
    /**
     * 문자수신여부
     * 0: 거부, 1: 허용
     */
    private String smsRcptnAgreYn;
    /**
     * 이메일수신여부
     * 0: 거부, 1: 허용
     */
    private String emlRcptnAgreYn;
    /**
     * 개인정보공개여부
     * 0: 거부, 1: 허용
     */
    private String prvcRlsYn;
    /**
     * 회원형태
     * S: 시스템, K: 카카오, N: 네이버, G: 구글, F: 페이스북
     */
    private String mbrType;
    /**
     * 비밀번호 변경일
     */
    private String pswdChgDt;
    /**
     * 최초등록 아이디
     */
    private String frstRegIp;
    /**
     * 시스템 제공 여부 -> 시스템에서 제공되는 데이터는 사용자가 제거하지 못하도록 하기 위한 설정값
     * 0: 시스템, 1: 사용자
     */
    private String sysPvsnYn;
    /**
     * 등록자
     */
    private String rgtr;
    /**
     * 등록일
     */
    private String regDt;
    /**
     * 수정자
     */
    private String mdfr;
    /**
     * 수정일
     */
    private String mdfcnDt;
    /**
     * 권한 정보
     */
    private List<MberAuthorVO> authorList = new ArrayList<MberAuthorVO>();
}
