package com.takensoft.cms.mber.service;

import com.takensoft.cms.mber.dto.JoinDTO;
import com.takensoft.cms.mber.dto.PasswordDTO;
import com.takensoft.cms.mber.vo.MberVO;

import javax.servlet.http.HttpServletRequest;
import java.util.*;

/**
 * @author  : takensoft
 * @since   : 2024.04.01
 *
 * 회원 정보 관련 인터페이스
 */
public interface MberService {
    /**
     * @author takensoft
     * @since 2024.04.03
     *
     * 아이디 중복 검사
     */
    public boolean findByCheckLoginId(String lgnId) throws  Exception;

    /**
     * @author takensoft
     * @since 2024.04.03
     * 회원가입
     */
    public HashMap<String, Object> userJoin(HttpServletRequest req, JoinDTO joinDTO) throws Exception;

    /**
     * @author takensoft
     * @since 2024.04.15
     * 비밀번호 비교
     */
    public boolean passwordCheck(PasswordDTO passwordDTO) throws Exception;

    /**
     * @author 박정하
     * @since 2024.04.23
     * 회원정보 상세 조회
     */
    public MberVO findByMbr(HashMap<String, Object> params) throws Exception;

    /**
     * @author takensoft
     * @since 2024.04.24
     * 비밀번호 수정
     */
    public int updatePassword(PasswordDTO passwordDTO) throws Exception;
}