package com.takensoft.cms.popup.dao;

import com.takensoft.cms.popup.vo.PopupVO;
import com.takensoft.common.Pagination;
import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import java.util.*;

/**
 * @author  : 박정하
 * @since   : 2024.05.13
 *
 * 팝업 관련 Mapper
 */
@Mapper("popupDAO")
public interface PopupDAO {
    /**
     * @author  : 박정하
     * @since   : 2024.05.13
     *
     * 팝업 등록
     */
    public int insertPopup(PopupVO popupVO) throws Exception;

    /**
     * @author  : 박정하
     * @since   : 2024.05.13
     *
     * 팝업 목록 갯수
     */
    public int selectPopupListCnt(Pagination pagination) throws Exception;

    /**
     * @author  : 박정하
     * @since   : 2024.05.13
     *
     * 팝업 목록 조회
     */
    public List<PopupVO> selectPopupList(Pagination pagination) throws Exception;

    /**
     * @author  : 박정하
     * @since   : 2024.05.13
     *
     * 팝업 목록 상세
     */
    public PopupVO selectPopupDetail(PopupVO popupVO) throws Exception;

    /**
     * @author  : 박정하
     * @since   : 2024.05.13
     *
     * 팝업 수정
     */
    public int updatePopup(PopupVO popupVO) throws Exception;

    /**
     * @author  : 박정하
     * @since   : 2024.05.22
     *
     * 팝업 목록 조회 (팝업창 띄우는 용도)
     */
    public List<PopupVO> selectPopupListByPage(String pageType) throws Exception;

    /**
     * @author  : 박정하
     * @since   : 2024.05.23
     *
     * 매일 자정에 종료일이 지난 팝업 삭제
     */
    public int cleanExpiredPopups() throws Exception;

    /**
     * @author  : 박정하
     * @since   : 2024.05.28
     *
     * 팝업 최신 목록 조회 (최신글 5건 출력)
     */
    public List<PopupVO> selectPopupListByNew() throws Exception;
}