package com.takensoft.cms.popup.service;

import com.takensoft.cms.popup.vo.PopupVO;
import org.springframework.web.multipart.MultipartFile;

import java.util.*;

/**
 * @author  : 박정하
 * @since   : 2024.05.13
 *
 * 팝업 관련 인터페이스
 */
public interface PopupService {
    /**
     * @author  : 박정하
     * @since   : 2024.05.13
     *
     * 팝업 등록
     */
    public HashMap<String, Object> popupInsert(PopupVO popupVO, List<MultipartFile> multipartFileList) throws Exception;

    /**
     * @author  : 박정하
     * @since   : 2024.05.13
     *
     * 팝업 목록 조회
     */
    public HashMap<String, Object> popupList(HashMap<String, String> params) throws Exception;

    /**
     * @author  : 박정하
     * @since   : 2024.05.13
     *
     * 팝업 상세 조회
     */
    public HashMap<String, Object> popupDetail(PopupVO popupVO) throws Exception;

    /**
     * @author  : 박정하
     * @since   : 2024.05.14
     *
     * 팝업 수정
     */
    public int popupUpdate(PopupVO popupVO, List<MultipartFile> multipartFileList) throws Exception;

    /**
     * @author  : 박정하
     * @since   : 2024.05.14
     *
     * 팝업 삭제
     */
    public int popupDelete(PopupVO popupVO) throws Exception;

    /**
     * @author  : 박정하
     * @since   : 2024.05.13
     *
     * 팝업 목록 조회 (팝업창 띄우는 용도)
     */
    public List<PopupVO> popupListByPage(String pageType) throws Exception;
}