package com.takensoft.cms.search.vo;

import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

/**
 * @author  : 하석형
 * @since   : 2024.06.12
 *
 * 통합 검색 결과 관련 VO
 */
@Getter
@Setter
public class SearchResultVO {
    /**
     * (미사용)메뉴 개수
     */
    private int menuCount;
    /**
     * (미사용)미리보기 메뉴 목록
     */
    private List<SearchContentVO> menuList = new ArrayList<>();
    /**
     * 페이지 개수 (컨텐츠 + 게시판)
     */
    private int pageCount;
    /**
     * 페이지 목록
     */
    private List<SearchMenuVO> pageList = new ArrayList<>();
    /**
     * 컨텐츠 개수
     */
    private int contentCount;
    /**
     * 컨텐츠 목록
     */
    private List<SearchMenuVO> contentList = new ArrayList<>();
    /**
     * 게시판 개수
     */
    private int boardCount;
    /**
     * 게시판 목록
     */
    private List<SearchMenuVO> boardList = new ArrayList<>();
    /**
     * (미사용)첨부파일 개수
     */
    private int fileCount;
    /**
     * (미사용)첨부파일 목록
     */
    private List<SearchMenuVO> fileList = new ArrayList<>();

    public SearchResultVO () {
        this.menuCount = 0;
        this.pageCount = 0;
        this.contentCount = 0;
        this.boardCount = 0;
        this.fileCount = 0;
    }
}
