package com.takensoft.cms.search.vo;

import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

/**
 * @author  : 하석형
 * @since   : 2024.06.12
 *
 * 통합 검색 관련 VO
 */
@Getter
@Setter
public class SearchVO {
    /**
     * 검색어
     */
    private String searchText;
    /**
     * (미사용)검색 조건
     * title : 제목, content : 내용
     */
    private String searchType;
    /**
     * (미사용)검색 정렬
     * L : 최신순, A : 정확도
     */
    private String sort;
    /**
     * (미사용)검색 시작일
     */
    private String startDt;
    /**
     * (미사용)검색 종료일
     */
    private String endDt;
    /**
     * 카테고리별 미리보기 개수
     */
    private int typePreCnt;
    /**
     * 사용자 Id
     */
    private String mbrId;
    /**
     * 사용자 권한정보
     */
    private List<String> roles;
    /**
     * 메뉴 종류
     */
    private String menuType;
    /**
     * 게시판 관리 ID (게시판 검색 전용)
     */
    private String bbsMngId;

//    public SearchVO() {
//        this.typePreCnt = 5;
//    }
}
