package com.takensoft.common.file.service;

import com.takensoft.common.file.vo.FileMngVO;
import org.springframework.web.multipart.MultipartFile;

import java.util.*;

/**
 * @author  : 박정하
 * @since   : 2024.03.26
 *
 * 파일매니저 관련 인터페이스
 */
public interface FileMngService {
    /**
     * @author 박정하
     * @since 2024.03.26
     *
     * 파일매니저 등록
     */
    public HashMap<String, Object> fileMngInsert(FileMngVO fileMngVO, List<MultipartFile> multipartFileList) throws Exception;

    /**
     * @author 박정하
     * @since 2024.03.27
     *
     * 파일매니저 수정
     */
    public int fileMngUpadate(FileMngVO fileMngVO, List<HashMap<String, Object>> deleteFileList, List<MultipartFile> multipartFileList) throws Exception;
    
    /**
     * @author 박정하
     * @since 2024.03.27
     *
     * 파일매니저 삭제
     */
    public int fileMngDelete(HashMap<String, Object> params) throws Exception;
}