package com.takensoft.portal.entInfo.dao;

import com.takensoft.common.Pagination;
import com.takensoft.portal.entInfo.dto.EntInfoExcelDTO;
import com.takensoft.portal.entInfo.vo.EntInfoVO;
import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import java.util.*;

/**
 * @author  : 박정하
 * @since   : 2024.03.20
 *
 * 기업정보 관련 Mapper
 */
@Mapper("entInfoDAO")
public interface EntInfoDAO {
    /**
     * @author 박정하
     * @since 2024.03.20
     *
     * 기업정보 등록
     */
    public int entInfoInsert(EntInfoVO entInfoVO) throws Exception;

    /**
     * @author 박정하
     * @since 2024.03.21
     *
     * 사업자등록번호 중복 검사
     */
    public int selectCntByCheckBrno(String brno) throws Exception;

    /**
     * @author 박정하
     * @since 2024.03.21
     *
     * 기업정보 목록 조회
     */
    public List<EntInfoVO> entInfoSelectList(Pagination pagination) throws Exception;

    /**
     * @author 박정하
     * @since 2024.03.21
     *
     * 기업정보 목록 총 개수 조회
     */
    public int entInfoSelectListCount(Pagination pagination) throws Exception;

    /**
     * @author 박정하
     * @since 2024.03.21
     *
     * 기업정보 상세 조회
     */
    public EntInfoVO selectEntInfoDetail(String entId) throws Exception;

    /**
     * @author 박정하
     * @since 2024.03.22
     *
     * 기업정보 수정
     */
    public int entInfoUpdate(EntInfoVO entInfoVO) throws Exception;

    /**
     * @author 박정하
     * @since 2024.03.22
     *
     * 기업정보 삭제
     */
    public int entInfoDelete(EntInfoVO entInfoVO) throws Exception;

    /**
     * @author 박정하
     * @since 2024.03.22
     *
     * 기업정보 목록 조회 (최신 5건)
     */
    public List<HashMap<String, Object>> selectCompanyInfoListByNew() throws Exception;

    /**
     * @author 박정하
     * @since 2024.03.21
     *
     * 기업정보 목록 조회 (엑셀 다운로드 용)
     */
    public List<HashMap<String, String>> entInfoSelectListAll(HashMap<String, String> params) throws Exception;

    /**
     * @author 박정하
     * @since 2024.03.21
     *
     * 상위업종코드 목록 조회 (엑셀 다운로드 용)
     */
    public List<String> ksicUpCdList() throws Exception;
}