package com.takensoft.portal.entInfo.dto;

import com.takensoft.common.excel.annotation.ExcelColumnName;
import com.takensoft.common.excel.annotation.ExcelFileName;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import javax.persistence.*;

/**
 * @author  : 박정하
 * @since   : 2024.06.18
 *
 * 기업정보 엑셀 다운로드 관련 DTO
 */
@Entity
@Getter
@Setter
@NoArgsConstructor
@ExcelFileName(fileName="기업정보")
public class EntInfoExcelDTO {
    @Id
    @Column
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ExcelColumnName(headerName = "기업명")
    private String entNm;

    @Column
    @ExcelColumnName(headerName = "사업자번호")
    private String brno;

    @Column
    @ExcelColumnName(headerName = "대표자명")
    private String rprsvNm;

    @Column
    @ExcelColumnName(headerName = "소재지")
    private String lctn;

    @Column
    @ExcelColumnName(headerName = "대지면적")
    private String bplcSiar;

    @Column
    @ExcelColumnName(headerName = "공장면적")
    private String fctryArea;

    @Column
    @ExcelColumnName(headerName = "표준산업분류")
    private String ksic;

    @Column
    @ExcelColumnName(headerName = "주요제품")
    private String mainPrdct;

    @Column
    @ExcelColumnName(headerName = "기업신용")
    private String entCrdt;

    @Column
    @ExcelColumnName(headerName = "설립일")
    private String fndnDt;

    @Column
    @ExcelColumnName(headerName = "고용인원수")
    private String wrkrCnt;

    // 세부정보
    @Column
    @ExcelColumnName(headerName = "상담유무")
    private String isIvstDscsn;

    @Column
    @ExcelColumnName(headerName = "입주의향")
    private String mvnInten;

    @Column
    @ExcelColumnName(headerName = "MOU의향")
    private String mouInten;

    @Column
    @ExcelColumnName(headerName = "비고")
    private String rmrk;

    @Builder
    public EntInfoExcelDTO(String entNm, String brno, String rprsvNm, String lctn, String bplcSiar, String fctryArea, String ksic, String mainPrdct, String entCrdt, String fndnDt, String wrkrCnt, String isIvstDscsn, String mvnInten, String mouInten, String rmrk) {
        this.entNm = entNm;
        this.brno = brno;
        this.rprsvNm = rprsvNm;
        this.lctn = lctn;
        this.bplcSiar = bplcSiar;
        this.fctryArea = fctryArea;
        this.ksic = ksic;
        this.mainPrdct = mainPrdct;
        this.entCrdt = entCrdt;
        this.fndnDt = fndnDt;
        this.wrkrCnt = wrkrCnt;
        this.isIvstDscsn = isIvstDscsn;
        this.mvnInten = mvnInten;
        this.mouInten = mouInten;
        this.rmrk = rmrk;
    }
}