package com.takensoft.portal.entInfo.vo;

import lombok.Data;

import java.util.*;

/**
 * @author  : 박정하
 * @since   : 2024.03.20
 *
 * 기업정보 관련 VO
 */
@Data
public class EntInfoVO {
    // 기업 아이디
    private String entId;
    // 기업명
    private String entNm;
    // 사업자번호
    private String brno;
    // 대표자명
    private String rprsvNm;
    // 소재지 (행정구역)
    private String lctnAdmdsp = "";
    // 소재지 (시군구)
    private String lctnSsg;
    // 대지면적
    private int bplcSiar;
    // 대지면적 단위
    private String bplcSiarUnit = "";
    // 공장면적
    private int fctryArea;
    // 공장면적 단위
    private String fctryAreaUnit = "";
    // 표준사업분류코드 상위 분류
    private String ksicUpCd;
    // 표준사업분류코드 하위 분류
    private String ksicCd;
    // 표준사업분류
    private String ksicNm;
    // 주요제품
    private String mainPrdct;
    // 기업신용
    private String entCrdt;
    // 설립일
    private String fndnDt;
    // 고용인원수
    private int wrkrCnt;

    // 비고
    private String rmrk;
    // 파일매니저아이디
    private String fileMngId;
    // 첨부파일 목록
    private List<HashMap<String, Object>> fileList = new ArrayList<>();
    // 첨부파일 삭제 목록
    private List<HashMap<String, Object>> deleteFileList = new ArrayList<>();

    // 사용여부
    private String useYn;
    // 등록자
    private String rgtr;
    // 등록일
    private String regDt;
    // 수정자
    private String mdfr;
    // 수정일
    private String mdfcnDt;

    // 사업자번호변경여부
    private Boolean isBrnoChange = false;

    // 주요사업장 목록
    private List<BplcVO> bplcList = new ArrayList<>();

    // 입주의향 (목록 조회시 사용)
    private String mvnInten;
    // MOU의향 (목록 조회시 사용)
    private String mouInten;
}