package com.takensoft.portal.ivstDscsn.dao;

import com.takensoft.common.Pagination;
import com.takensoft.portal.entInfo.vo.EntInfoVO;
import com.takensoft.portal.ivstDscsn.vo.IvstDscsnVO;
import com.takensoft.portal.rvwMttr.vo.RvwMttrVO;
import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import java.util.*;

/**
 * @author  : 박정하
 * @since   : 2024.03.26
 *
 * 투자상담 관련 Mapper
 */
@Mapper("ivstDscsnDAO")
public interface IvstDscsnDAO {
    /**
     * @author 박정하
     * @since 2024.03.26
     *
     * 투자상담 등록
     */
    public int ivstDscsnInsert(IvstDscsnVO ivstDscsnVO) throws Exception;

    /**
     * @author 박정하
     * @since 2024.03.26
     *
     * 투자상담 목록 조회
     */
    public List<HashMap<String, Object>> ivstDscsnList(Pagination pagination) throws Exception;

    /**
     * @author 박정하
     * @since 2024.03.26
     *
     * 투자상담 목록 총 개수 조회
     */
    public int ivstDscsnListCount(Pagination pagination) throws Exception;

    /**
     * @author 박정하
     * @since 2024.03.26
     *
     * 투자상담 상세 조회
     */
    public IvstDscsnVO selectIvstDscsnDetail(String ivstDscsnId) throws Exception;

    /**
     * @author 박정하
     * @since 2024.03.27
     *
     * 투자상담 수정
     */
    public int ivstDscsnUpdate(IvstDscsnVO ivstDscsnVO) throws Exception;

    /**
     * @author 박정하
     * @since 2024.03.27
     *
     * 투자상담 삭제 (기업정보 삭제용)
     */
    public int ivstDscsnDeleteByEntId(IvstDscsnVO ivstDscsnVO) throws Exception;

    /**
     * @author 박정하
     * @since 2024.03.28
     *
     * 투자상담 최근 1건 조회
     */
    public IvstDscsnVO ivstDscsnByNewOne(String entId) throws Exception;

    /**
     * @author 박정하
     * @since 2024.06.12
     *
     * 투자상담 목록 조회 (기업정보 삭제용)
     */
    public List<IvstDscsnVO> ivstDscsnListByIvstDscsnId(String entId) throws Exception;
}