package com.takensoft.portal.ivstDscsn.dto;

import com.takensoft.common.excel.annotation.ExcelColumnName;
import com.takensoft.common.excel.annotation.ExcelFileName;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import javax.persistence.*;

@Entity
@Getter
@Setter
@NoArgsConstructor
@ExcelFileName(fileName="게시판 접속 통계")
public class IvstDscsnExcelDTO {
    @Id
    @Column
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ExcelColumnName(headerName = "상담요지")
    private String dscsnOtln;

    @Column
    @ExcelColumnName(headerName = "제목")
    private String ttl;

    @Column
    @ExcelColumnName(headerName = "일시")
    private String dt;

    @Column
    @ExcelColumnName(headerName = "장소")
    private String plc;

    @Column
    @ExcelColumnName(headerName = "기업명")
    private String entNm;

    @Column
    @ExcelColumnName(headerName = "참석자")
    private String prtpnt;

    @Column
    @ExcelColumnName(headerName = "상담공무원")
    private String dscsnPbofc;

    @Column
    @ExcelColumnName(headerName = "주요내용")
    private String mainCn;

    @Column
    @ExcelColumnName(headerName = "입주의향")
    private String mvnInten;

    @Column
    @ExcelColumnName(headerName = "MOU의향")
    private String mouInten;

    @Builder
    public IvstDscsnExcelDTO(String dscsnOtln, String ttl, String dt, String plc, String entNm, String prtpnt, String dscsnPbofc, String mainCn, String mvnInten, String mouInten) {
        this.dscsnOtln = dscsnOtln;
        this.ttl = ttl;
        this.dt = dt;
        this.plc = plc;
        this.entNm = entNm;
        this.prtpnt = prtpnt;
        this.dscsnPbofc = dscsnPbofc;
        this.mainCn = mainCn;
        this.mvnInten = mvnInten;
        this.mouInten = mouInten;
    }
}