package com.takensoft.portal.rvwMttr.dao;

import com.takensoft.common.Pagination;
import com.takensoft.portal.rvwMttr.vo.RvwMttrVO;
import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import java.util.*;

/**
 * @author  : 박정하
 * @since   : 2024.03.29
 *
 * 검토사항 관련 Mapper
 */
@Mapper("rvwMttrDAO")
public interface RvwMttrDAO {
    /**
     * @author 박정하
     * @since 2024.03.29
     *
     * 검토사항 등록
     */
    public int rvwMttrInsert(RvwMttrVO rvwMttrVO) throws Exception;

    /**
     * @author 박정하
     * @since 2024.03.29
     *
     * 검토사항 목록 조회
     */
    public List<HashMap<String, Object>> rvwMttrSelectList(Pagination pagination) throws Exception;

    /**
     * @author 박정하
     * @since 2024.03.29
     *
     * 검토사항 목록 총 개수 조회
     */
    public int rvwMttrSelectListCount(Pagination pagination) throws Exception;

    /**
     * @author 박정하
     * @since 2024.06.04
     *
     * 검토사항 상세 조회
     */
    public RvwMttrVO selectRvwMttrDetail(String rvwMttrId) throws Exception;

    /**
     * @author 박정하
     * @since 2024.04.01
     *
     * 검토사항 수정
     */
    public int rvwMttrUpdate(RvwMttrVO rvwMttrVO) throws Exception;

    /**
     * @author 박정하
     * @since 2024.04.01
     *
     * 검토사항 삭제
     */
    public int rvwMttrDelete(RvwMttrVO rvwMttrVO) throws Exception;

    /**
     * @author 박정하
     * @since 2024.06.04
     *
     * 검토사항진행 삭제 (검토사항 삭제용)
     */
    public List<RvwMttrVO> rvwMttrListByIvstDscsnId(String rvwMttrId) throws Exception;

    /**
     * @author 박정하
     * @since 2024.06.12
     *
     * 검토사항 삭제 (검토사항 삭제용)
     */
    public int rvwMttrDeleteByIvstDscsnId(String ivstDscsnId) throws Exception;
}