package com.takensoft.ums.vo;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;

/**
 * @author  : 방선주
 * @since   : 2024.06.25
 *
 * 게시판 관리 관련 VO
 */
@Setter
@Getter
@AllArgsConstructor
public class UmsVO {
    /**
     * 문자 메시지 아이디
     */
    private String id;
    /**
     * ums 로그인 아이디
     */
    private String userId;
    /**
     * 스케쥴 타입구분(0:즉시, 1:예약)
     */
    private String scheduleType;
    /**
     * 제목
     */
    private String title;
    /**
     * 메시지 내용
     */
    private String msgContent;
    /**
     * 회신번호
     */
    private String callingNum;
    /**
     * 수신자
     */
    private String tgtNm;
    /**
     * 수신번호
     */
    private String phoneNum;
    /**
     * 상태코드 (0: 미전송, 1: 전송, 2:에러)
     */
    private String stateCd;
    /**
     * STATE_CD 값이 ‘2’일 경우 상세 에러메시지
     */
    private String resultMsg;
    /**
     * 카카오 알림톡 전송 시 템플릿코드 입력(SMS일
     * 경우 NULL)
     */
    private String templateCd;
    /**
     * 푸시전송여부 ‘Y’일경우 푸시로 전송
     */
    private String pushSendYn;
    /**
     * 푸시전송 시 식별자 아이디(앱아이디)
     */
    private String pushId;
    /**
     * 카카오알림톡 재전송 후 실패 시 문자전송.
     */
    private String pushResendTpCd;
    /**
     * 예약전송일시
     */
    private String reservDttm;
    /**
     * DB입력시간
     */
    private String regDttm;


    public UmsVO() {

    }
}
